--- a/src/drtables.c
+++ b/src/drtables.c
@@ -736,7 +736,7 @@ else
     {
     char * name = ent->d_name;
     int len = (int)strlen(name);
-    if (regex_match(regex_islookupmod, US name, len, NUL))
+    if (regex_match(regex_islookupmod, US name, len, NULL))
       {
       int pathnamelen = len + (int)strlen(LOOKUP_MODULE_DIR) + 2;
       void *dl;
--- a/src/exim.c
+++ b/src/exim.c
@@ -636,13 +636,15 @@ exim_nullstd(void)
 {
 int devnull = -1;
 struct stat statbuf;
+const char devnullpath[] = "/dev/null";
+
 for (int i = 0; i <= 2; i++)
   {
   if (fstat(i, &statbuf) < 0 && errno == EBADF)
     {
-    if (devnull < 0) devnull = open("/dev/null", O_RDWR);
+    if (devnull < 0) devnull = open(devnullpath, O_RDWR);
     if (devnull < 0) log_write(0, LOG_MAIN|LOG_PANIC_DIE, "%s",
-      string_open_failed("/dev/null", NULL));
+      string_open_failed("%s", devnullpath));
     if (devnull != i) (void)dup2(devnull, i);
     }
   }
--- a/src/local_scan.h
+++ b/src/local_scan.h
@@ -26,6 +26,7 @@ store.c
 settings, and the store functions. */
 
 #include <stdarg.h>
+#include <stdlib.h>
 #include <sys/types.h>
 #pragma GCC visibility push(default)
 #include "config.h"
